cannot load PHP5

Help
2005-08-25
2013-04-05
  • After installing WebServerX Kit 1.1 on Mac OS X 10.4.2, I could get both Apache2 and MySQL4.1 to run, but not with PHP5 module. When I try to run it with enabled PHP module, following error appears in console:

    Syntax error on line 277 of /usr/local/apache2/conf/httpd.conf:
    Cannot load /usr/local/apache2/modules/libphp5.so into server: Library not loaded: /usr/X11R6/lib/libXpm.4.dylib\n  Referenced from: /usr/local/lib/libgd.2.dylib\n  Reason: image not found

    I'm getting desperate, I've tried everything I can think of. Plus, when I go to /usr/local/apache2/ and execute
    sudo apachectl start
    it will start built-in Apache 1 with PHP4!!! In the same dir, when I type httpd -v, the version is 1.3!!! Really ugly thing to have in Apache2 directory. Please help.

     
    • J. Timmer
      J. Timmer
      2006-01-28

      Same problem here...

      Can't start the Apache Server because some missing files.

      I'm using OS X 10.4.5 and WebServerKit 1.1

      I hope installing PHP 4 will help solve the problem for the time being...